%define name gnugo
%define version 2.6
%define release 2mdk

Summary: The GNU program to play the game of Go
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL 
Group: Games/Boards
Source0: ftp://ftp.gnu.org/gnu/gnugo-%{version}.tar.bz2
Url: http://www.gnu.org/software/gnugo 
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Go is a game of strategy between two players usually played on a 
19x19 grid called goban. GNU Go plays a game of Go against the 
user. It has many other features: it can play against itself or 
another program, analyse and score a recorded game. GNU Go is 
compliant with Go Modem Protocol, and load / save games in the
Smart Go format.
GNU Go default is a simple alpha-numeric board display, if you'd
like to use a graphical interface with GNU Go, you'll also need 
to install the CGoban package and the X Window System.

%prep
%setup -q

%build
./configure --enable-color --without-curses --prefix=%{prefix}
make
cd doc && make gnugo.ps

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/games
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man6
install -m755 interface/gnugo $RPM_BUILD_ROOT%{prefix}/games
install -m644 doc/gnugo.6 $RPM_BUILD_ROOT%{prefix}/man/man6

mkdir docu
rm doc/gnugo.6
mv doc docu
mv regression docu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc docu/*
/usr/games/gnugo
/usr/man/man6/*

%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- fix group
* Mon Apr  4 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- upgrade to 2.6
- new doc
- fix group
* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- small changes in description
* Thu Dec 23 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first mandrake rpm
- patch for known bugs of 2.4
